Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class LibraryEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.NotificationEvent
          org.eclipse.birt.report.model.api.command.LibraryEvent

    public class LibraryEvent

extends NotificationEvent

Indicates that the library is added, dropped or shifted.

Field Summary
`static int` | `ADD` New library is added.
`static int` | `DROP` Library is dropped.
`static int` | `RELOAD` Deprecated. by LibraryLoadedEvent
`static int` | `SHIFT` The library is shifted downwards or forwards.

Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

Constructor Summary
`LibraryEvent(org.eclipse.birt.report.model.elements.Library library, int action)` Constructs the event with the added or dropped library and action.

Method Summary
`int` | `getAction()` Returns the type of change.
`int` | `getEventType()` Returns the event type.
`org.eclipse.birt.report.model.elements.Library` | `getLibrary()` Returns the library causing this event.

Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`getDeliveryPath, getSender, getTarget, isSame, setDeliveryPath, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final int ADD

  New library is added.

  See Also:
    Constant Field Values

### DROP

    public static final int DROP

  Library is dropped.

  See Also:
    Constant Field Values

### SHIFT

    public static final int SHIFT

  The library is shifted downwards or forwards.

  See Also:
    Constant Field Values

### RELOAD

    public static final int RELOAD

  Deprecated. by LibraryLoadedEvent
  The library is shifted downwards or forwards.

  See Also:
    Constant Field Values

Constructor Detail

### LibraryEvent

    public LibraryEvent(org.eclipse.birt.report.model.elements.Library library,
                        int action)

  Constructs the event with the added or dropped library and action.

  Parameters:
    `library` - the library causing this event
    `action` - th etype of change

Method Detail

### getEventType

    public int getEventType()

  Description copied from class: `NotificationEvent`
  Returns the event type. The following event types are defined:
  - CONTENT_EVENT
  - ELEMENT_DELETE_EVENT
  - EXTENDS_EVENT
  - NAME_EVENT
  - NAME_SPACE_EVENT
  - PROPERTY_EVENT
  - STYLE_EVENT
  - USER_PROP_EVENT
  - CUSTOM_MSG_EVENT
  - EXTENSION_PROPERTY_DEFINITION_EVENT
  - NOTIFICATION_EVENT
  - VALIDATION_EVENT
  - LIBRARY_EVENT
  - ATTRIBUTE_EVENT
  - DISPOSE_EVENT
  - CONTENT_REPLACE_EVENT
  - TEMPLATE_TRANSFORM_EVENT

  Specified by:
    `getEventType` in class `NotificationEvent`
  Returns:
    the event type.

### getAction

    public int getAction()

  Returns the type of change.

  Returns:
    the type of change.

### getLibrary

    public org.eclipse.birt.report.model.elements.Library getLibrary()

  Returns the library causing this event.

  Returns:
    the library causing this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.